# Gyjd - Get Your Job Done

## Introduction

**Gyjd** (Get Your Job Done) is an extremely extensible mini framework designed to enhance your productivity in Python. With a simple and effective approach, Gyjd adds a powerful layer for managing configurations, loggers, dependency injection, retries, automatic CLI generation, and executable creation.

## Features

- **Configuration Management**: Easily handle your project's configuration without hassle.
- **Integrated Logger**: Monitor and log your application's activities effortlessly.
- **Dependency Injection**: Simplify the management of your project's dependencies.
- **Retries**: Automatically configure retries for calls that may fail.
- **Automatic CLI**: Generate a command-line interface with ease.
- **Executable Generation**: Create executables to distribute your project without complications.

## Installation

To install Gyjd, simply run the following command:

```bash
pip install gyjd
```

## Conclusion

With Gyjd, you can focus on what truly matters: developing your project. The combination of all these features in a single package makes Python development faster and more efficient. Try it out and see the difference!

